Module | ActiveSupport::CoreExtensions::Array::Grouping
In: | lib/active_support/core_ext/array/grouping.rb

### Methods

in_groups_of split

### Public Instance methods

in_groups_of(number, fill_with = nil, &block)

Iterates over the array in groups of size `number`, padding any remaining slots with `fill_with` unless it is `false`.

      %w(1 2 3 4 5 6 7).in_groups_of(3) {|g| p g}
      ["1", "2", "3"]
      ["4", "5", "6"]
      ["7", nil, nil]

      %w(1 2 3).in_groups_of(2, '&nbsp;') {|g| p g}
      ["1", "2"]
      ["3", "&nbsp;"]

      %w(1 2 3).in_groups_of(2, false) {|g| p g}
      ["1", "2"]
      ["3"]

split(value = nil, &block)

Divides the array into one or more subarrays based on a delimiting `value` or the result of an optional block.

      [1, 2, 3, 4, 5].split(3)                # => [[1, 2], [4, 5]]
      (1..10).to_a.split { |i| i % 3 == 0 }   # => [[1, 2], [4, 5], [7, 8], [10]]

[Validate]